#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	netsurf
Version		:	3.11
Release		:	17.0.10.rel%{?dist}
Summary		:	A free, open source web browser written in C 
Group		:	Development/Tools

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2
URL		:	http://www.netsurf-browser.org/downloads/source/

Source0		:	%{name}-%{version}.tar.gz
Source1		:	%{name}-ok_addon.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	curl
BuildRequires	:	desktop-file-utils
BuildRequires	:	gtk3+
BuildRequires	:	libcss-devel
BuildRequires	:	libdom-devel
BuildRequires	:	libnsutils-devel
BuildRequires	:	libpng-devel
BuildRequires	:	libjpeg-turbo-devel
BuildRequires	:	openssl-devel
BuildRequires	:	perl-HTML-Parser
BuildRequires	:	nsgenbind
BuildRequires	:	utf8proc-devel

Requires	:	curl
Requires	:	gtk3
#-----------------------------------------------------------------------------
%description
'%{name}' is a free, open source web browser. It is written
in C and released under the GNU Public Licence version 2.
'%{name}' has its own layout and rendering engine entirely
written from scratch. It is small and capable of handling
many of the web standards in use today.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc README.md
%{_bindir}/%{name}
%{_bindir}/%{name}-gtk
%{_bindir}/%{name}-gtk3
%{_datadir}/%{name}/*
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/pixmaps/%{name}.xpm
%{_datadir}/applications/%{name}.desktop

#-----------------------------------------------------------------------------
%posttrans
%{_bindir}/gtk-update-icon-cache -t %{_datadir}/icons/hicolor > /dev/null 2>&1
%{_bindir}/update-desktop-database > /dev/null 2>&1

#-----------------------------------------------------------------------------
%postun
if [ $1 -eq 0 ] ; then
  %{_bindir}/update-desktop-database > /dev/null 2>&1
  %{_bindir}/gtk-update-icon-cache -f -t %{_datadir}/icons/hicolor > /dev/null 2>&1
  fi

#=============================================================================
%prep
%setup -q -n %{name}-release/%{version}
tar xf %{SOURCE1}

sed -i 									\
 -e 's:libutf8proc/::;s:UTF8PROC_CCC_VIRAMA:UTF8PROC_BIDI_CLASS_EN:'	\
 utils/idna.c

#-----------------------------------------------------------------------------
#building application
%build

%define	NETSURF '"Mozilla/5.0 (Arch Linux; %s) NetSurf/%d.%d"'
%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}						\
	%{_smp_mflags}					\
	PREFIX=%{_prefix}				\
	TARGET=gtk3					\
	NETSURF_UA_FORMAT_STRING=%{NETSURF}		\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	PREFIX=%{_prefix}				\
	DESTDIR=%{buildroot}				\
	TARGET=gtk3					\
	install

%{__ln_s}						\
	./%{name}-gtk3					\
	%{buildroot}%{_bindir}/%{name}-gtk

install -Dm755						\
	%{name}-ok_addon/%{name}.sh			\
	%{buildroot}%{_bindir}/%{name}

install -Dm644						\
	frontends/gtk/res/%{name}.xpm			\
	%{buildroot}%{_datadir}/pixmaps/%{name}.xpm
	

%{__mkdir_p}						\
	%{buildroot}%{_datadir}/icons/hicolor/scalable/apps

install -Dm644						\
	%{name}-ok_addon/%{name}.svg			\
	%{buildroot}%{_datadir}/icons/hicolor/scalable/apps/

install -Dm644						\
	%{name}-ok_addon/%{name}.desktop		\
	%{buildroot}%{_datadir}/applications/%{name}.desktop

desktop-file-install   					\
	--delete-original				\
	--dir %{buildroot}%{_datadir}/applications 	\
	%{buildroot}%{_datadir}/applications/%{name}.desktop 

#-----------------------------------------------------------------------------
%changelog
